#!/bin/bash

rm -rf /app/hadoop/tmp/dfs/*

clear

echo "formatting name node"
hdfs namenode -format

clear

echo "starting namenode, datanode"
hadoop-daemon.sh --config $HADOOP_CONF_DIR --script hdfs start namenode
hadoop-daemon.sh --config $HADOOP_CONF_DIR --script hdfs start datanode
jps

echo "starting resourceManager, nodeManager"
yarn-daemon.sh --config $HADOOP_CONF_DIR start resourcemanager
yarn-daemon.sh --config $HADOOP_CONF_DIR start nodemanager
jps
